DistributedSystemConfig (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.admin, interface: DistributedSystemConfig

Package org.apache.geode.admin

# Interface DistributedSystemConfig

All Superinterfaces:
  `Cloneable`

All Known Subinterfaces:
  `AgentConfig`

@Deprecated public interface DistributedSystemConfig extends Cloneable
Deprecated.
as of 7.0 use the `management` package instead
Configuration for defining a GemFire distributed system to administrate. This configuration includes information about the discovery mechanism used to find members of the distributed system and information about managed entities such as distribution locators and GemFire cache vms that can be started.

Detailed descriptions of many of these configuration attributes can be found in the `DistributedSystem` class. Note that the default values of these configuration attributes can be specified using Java system properties.

A `DistributedSystemConfig` can be modified using a number of mutator methods until the `AdminDistributedSystem` that it configures connects to the distributed system. After that, attempts to modify most attributes in the `DistributedSystemConfig` will result in an `IllegalStateException` being thrown. If you wish to use the same `DistributedSystemConfig` to configure multiple `AdminDistributedSystem`s, a copy of the `DistributedSystemConfig` object can be made by invoking the `clone()` method.

Since:
  GemFire 3.5

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static interface`
  `DistributedSystemConfig.ConfigListener`
  Deprecated.
  A listener whose callback methods are invoked when this config changes.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BIND_ADDRESS_NAME`
  Deprecated.
  The name of the "bindAddress" property
  `static final int`
  `DEFAULT_ACK_SEVERE_ALERT_THRESHOLD`
  Deprecated.
  The default ackSevereAlertThreshold.
  `static final int`
  `DEFAULT_ACK_WAIT_THRESHOLD`
  Deprecated.
  The default AckWaitThreshold.
  `static final String`
  `DEFAULT_BIND_ADDRESS`
  Deprecated.
  The default value of the "bindAddress" property
  `static final boolean`
  `DEFAULT_DISABLE_AUTO_RECONNECT`
  Deprecated.
  The default disable-auto-reconnect setting (`false`)
  `static final boolean`
  `DEFAULT_DISABLE_JMX`
  Deprecated.
  The default disable-jmx value (`false`)
  `static final boolean`
  `DEFAULT_DISABLE_TCP`
  Deprecated.
  The default disable-tcp value (`false`)
  `static final boolean`
  `DEFAULT_ENABLE_NETWORK_PARTITION_DETECTION`
  Deprecated.
  The default enable-network-partition-detection setting (`false`)
  `static final String`
  `DEFAULT_ENTITY_CONFIG_XML_FILE`
  Deprecated.
  The default value of the "entity-config-xml-file" property ("distributed-system.xml").
  `static final String`
  `DEFAULT_LOCATORS`
  Deprecated.
  The default value of the "locators" property ("")
  `static final int`
  `DEFAULT_LOG_DISK_SPACE_LIMIT`
  Deprecated.
  The default log disk space limit in megabytes (0)
  `static final String`
  `DEFAULT_LOG_FILE`
  Deprecated.
  The default log-file value ("" which directs logging to standard output)
  `static final int`
  `DEFAULT_LOG_FILE_SIZE_LIMIT`
  Deprecated.
  The default log file size limit in megabytes (0)
  `static final String`
  `DEFAULT_LOG_LEVEL`
  Deprecated.
  The default log level ("config")
  `static final String`
  `DEFAULT_MCAST_ADDRESS`
  Deprecated.
  The default value of the "mcastAddress" property (239.192.81.1).
  `static final int`
  `DEFAULT_MCAST_PORT`
  Deprecated.
  The default value of the "mcastPort" property (10334)
  `static final int`
  `DEFAULT_MEMBER_TIMEOUT`
  Deprecated.
  The default failure-detection timeout period for member heart-beat responses
  `static final int[]`
  `DEFAULT_MEMBERSHIP_PORT_RANGE`
  Deprecated.
  The default membership-port-range.
  `static final String`
  `DEFAULT_NAME`
  Deprecated.
  The default value of the "name" property ("").
  `static final int`
  `DEFAULT_REFRESH_INTERVAL`
  Deprecated.
  The default "refreshInterval" in seconds which will apply to REFRESH_INTERVAL_NAME property.
  `static final String`
  `DEFAULT_REMOTE_COMMAND`
  Deprecated.
  The default value of the remote-command property
  `static final String`
  `DEFAULT_SYSTEM_ID`
  Deprecated.
  The default value of the "system-id" property ("")
  `static final int`
  `DEFAULT_TCP_PORT`
  Deprecated.
  The default value of the "tcpPort" property.
  `static final String`
  `ENTITY_CONFIG_XML_FILE_NAME`
  Deprecated.
  The name of an XML file that specifies the configuration for the managed entities administered by the `DistributedSystem`.
  `static final String`
  `LOCATORS_NAME`
  Deprecated.
  The name of the "locators" property (comma-delimited host[port] list)
  `static final String`
  `LOG_DISK_SPACE_LIMIT_NAME`
  Deprecated.
  The name of the "LogDiskSpaceLimit" property
  `static final String`
  `LOG_FILE_NAME`
  Deprecated.
  The name of the "logFile" property
  `static final String`
  `LOG_FILE_SIZE_LIMIT_NAME`
  Deprecated.
  The name of the "LogFileSizeLimit" property
  `static final String`
  `LOG_LEVEL_NAME`
  Deprecated.
  The name of the "logLevel" property
  `static final int`
  `MAX_ACK_SEVERE_ALERT_THRESHOLD`
  Deprecated.
  The maximum ackSevereAlertThreshold.
  `static final int`
  `MAX_ACK_WAIT_THRESHOLD`
  Deprecated.
  The maximum AckWaitThreshold.
  `static final int`
  `MAX_LOG_DISK_SPACE_LIMIT`
  Deprecated.
  The minimum log disk space limit in megabytes (1000000)
  `static final int`
  `MAX_LOG_FILE_SIZE_LIMIT`
  Deprecated.
  The minimum log file size limit in megabytes (1000000)
  `static final int`
  `MAX_MCAST_PORT`
  Deprecated.
  The maximum mcastPort (65535)
  `static final String`
  `MCAST_ADDRESS_NAME`
  Deprecated.
  The name of the "mcastAddress" property
  `static final String`
  `MCAST_PORT_NAME`
  Deprecated.
  The name of the "mcastPort" property
  `static final String`
  `MEMBERSHIP_PORT_RANGE_NAME`
  Deprecated.
  The name of the "membership-port-range" property
  `static final int`
  `MIN_ACK_SEVERE_ALERT_THRESHOLD`
  Deprecated.
  The minimum ackSevereAlertThreshold.
  `static final int`
  `MIN_ACK_WAIT_THRESHOLD`
  Deprecated.
  The minimum AckWaitThreshold.
  `static final int`
  `MIN_LOG_DISK_SPACE_LIMIT`
  Deprecated.
  The minimum log disk space limit in megabytes (0)
  `static final int`
  `MIN_LOG_FILE_SIZE_LIMIT`
  Deprecated.
  The minimum log file size limit in megabytes (0)
  `static final int`
  `MIN_MCAST_PORT`
  Deprecated.
  The minimum mcastPort (0)
  `static final String`
  `NAME_NAME`
  Deprecated.
  The name of the "name" property.
  `static final String`
  `REFRESH_INTERVAL_NAME`
  Deprecated.
  The name of the "refreshInterval" property which will apply to SystemMember, SystemMemberCache and StatisticResource refresh.
  `static final String`
  `REMOTE_COMMAND_NAME`
  Deprecated.
  The name of the remote-command property
  `static final String`
  `SYSTEM_ID_NAME`
  Deprecated.
  The name of the "system-id" property
  `static final String`
  `TCP_PORT_NAME`
  Deprecated.
  settings for tcp-port

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addListener(DistributedSystemConfig.ConfigListener listener)`
  Deprecated.
  Registers listener for notification of changes in this config.
  `void`
  `addSSLProperty(String key, String value)`
  Deprecated.
  Adds an SSL property
  `Object`
  `clone()`
  Deprecated.
  Returns a copy of this `DistributedSystemConfig` object whose configuration can be modified.
  `CacheServerConfig`
  `createCacheServerConfig()`
  Deprecated.
  as of 5.7 use `createCacheVmConfig()` instead.
  `CacheVmConfig`
  `createCacheVmConfig()`
  Deprecated.
  Creates the configuration for a `CacheVm`.
  `DistributionLocatorConfig`
  `createDistributionLocatorConfig()`
  Deprecated.
  Creates a new `DistributionLocatorConfig` for a distribution locator that is managed in this distributed system.
  `int`
  `getAckSevereAlertThreshold()`
  Deprecated.
  Returns the ack-severe-alert-threshold for the system
  `int`
  `getAckWaitThreshold()`
  Deprecated.
  Returns the ack-wait-threshold for the system
  `String`
  `getBindAddress()`
  Deprecated.
  Returns the IP address to which the distributed system's server sockets are bound.
  `CacheServerConfig[]`
  `getCacheServerConfigs()`
  Deprecated.
  as of 5.7 use `getCacheVmConfigs()` instead.
  `CacheVmConfig[]`
  `getCacheVmConfigs()`
  Deprecated.
  Returns an array of configurations for statically known `CacheVm`s.
  `boolean`
  `getDisableAutoReconnect()`
  Deprecated.
  Returns true if auto reconnect is disabled
  `boolean`
  `getDisableJmx()`
  Deprecated.
  Returns the disable-jmx property for the process.
  `boolean`
  `getDisableTcp()`
  Deprecated.
  Returns the disable-tcp property for the system.
  `DistributionLocatorConfig[]`
  `getDistributionLocatorConfigs()`
  Deprecated.
  Returns configuration information about `DistributionLocator`s that are managed by an `AdminDistributedSystem`.
  `boolean`
  `getEnableNetworkPartitionDetection()`
  Deprecated.
  Returns true if network partition detection is enabled.
  `String`
  `getEntityConfigXMLFile()`
  Deprecated.
  Returns the name of the XML file that specifies the configuration of the managed entities administered by the `DistributedSystem`.
  `String`
  `getLocators()`
  Deprecated.
  Returns a comma-delimited list of locators for the system
  `int`
  `getLogDiskSpaceLimit()`
  Deprecated.
  Returns the log disk space limit in megabytes
  `String`
  `getLogFile()`
  Deprecated.
  Returns the name of the log file to which informational messages are written.
  `int`
  `getLogFileSizeLimit()`
  Deprecated.
  Returns the log file size limit in megabytes
  `String`
  `getLogLevel()`
  Deprecated.
  Returns the level at which informational messages are logged.
  `String`
  `getMcastAddress()`
  Deprecated.
  Returns the multicast address for the system
  `int`
  `getMcastPort()`
  Deprecated.
  Returns the multicast port for the system
  `String`
  `getMembershipPortRange()`
  Deprecated.
  Returns the membership-port-range property of the Distributed System.
  `int`
  `getMemberTimeout()`
  Deprecated.
  Returns the member-timeout millisecond value used in failure-detection protocols
  `int`
  `getRefreshInterval()`
  Deprecated.
  Returns the refreshInterval in seconds used for auto-polling and updating AdminDistributedSystem constituents including SystemMember, CacheServer, SystemMemberCache and StatisticResource
  `String`
  `getRemoteCommand()`
  Deprecated.
  Returns the remote command setting to use for remote administration
  `String`
  `getServerBindAddress()`
  Deprecated.
  Returns the IP address to which client/server server sockets are bound
  `String`
  `getSSLCiphers()`
  Deprecated.
  Returns the value of the "ssl-ciphers" property.
  `Properties`
  `getSSLProperties()`
  Deprecated.
  Returns the provider-specific properties for SSL.
  `String`
  `getSSLProtocols()`
  Deprecated.
  Returns the value of the "ssl-protocols" property.
  `String`
  `getSystemId()`
  Deprecated.
  Returns the string identity for the system
  `String`
  `getSystemName()`
  Deprecated.
  Returns the optional non-unique name for the system
  `int`
  `getTcpPort()`
  Deprecated.
  Returns the primary communication port number for the Distributed System.
  `boolean`
  `isSSLAuthenticationRequired()`
  Deprecated.
  Returns the value of the "ssl-require-authentication" property.
  `boolean`
  `isSSLEnabled()`
  Deprecated.
  Returns the value of the "ssl-enabled" property.
  `void`
  `removeCacheServerConfig(CacheServerConfig managerConfig)`
  Deprecated.
  as of 5.7 use `removeCacheVmConfig(org.apache.geode.admin.CacheVmConfig)` instead.
  `void`
  `removeCacheVmConfig(CacheVmConfig existing)`
  Deprecated.
  Removes the configuration for a `CacheVm`
  `void`
  `removeDistributionLocatorConfig(DistributionLocatorConfig config)`
  Deprecated.
  Removes a `DistributionLocatorConfig` from the distributed system.
  `void`
  `removeListener(DistributedSystemConfig.ConfigListener listener)`
  Deprecated.
  Removes previously registered listener of this config.
  `void`
  `removeSSLProperty(String key)`
  Deprecated.
  Removes an SSL property
  `void`
  `setAckSevereAlertThreshold(int seconds)`
  Deprecated.
  Sets the ack-severe-alert-threshold for the system
  `void`
  `setAckWaitThreshold(int seconds)`
  Deprecated.
  Sets the ack-wait-threshold for the system
  `void`
  `setBindAddress(String bindAddress)`
  Deprecated.
  Sets the IP address to which the distributed system's server sockets are bound.
  `void`
  `setDisableAutoReconnect(boolean newValue)`
  Deprecated.
  Disables auto reconnect after being forced out of the distributed system
  `void`
  `setDisableJmx(boolean flag)`
  Deprecated.
  Sets the disable-jmx property for the system.
  `void`
  `setDisableTcp(boolean flag)`
  Deprecated.
  Sets the disable-tcp property for the system.
  `void`
  `setEnableNetworkPartitionDetection(boolean newValue)`
  Deprecated.
  Turns on network partition detection
  `void`
  `setEntityConfigXMLFile(String xmlFile)`
  Deprecated.
  Sets the name of the XML file that specifies the configuration of managed entities administered by the `DistributedSystem`.
  `void`
  `setLocators(String locators)`
  Deprecated.
  Sets the comma-delimited list of locators for the system
  `void`
  `setLogDiskSpaceLimit(int limit)`
  Deprecated.
  Sets the log disk space limit in megabytes
  `void`
  `setLogFile(String logFile)`
  Deprecated.
  Sets the name of the log file to which informational messages are written.
  `void`
  `setLogFileSizeLimit(int limit)`
  Deprecated.
  Sets the log file size limit in megabytes
  `void`
  `setLogLevel(String logLevel)`
  Deprecated.
  Sets the level at which information messages are logged.
  `void`
  `setMcastAddress(String mcastAddress)`
  Deprecated.
  Sets the multicast address for the system
  `void`
  `setMcastPort(int mcastPort)`
  Deprecated.
  Sets the multicast port for the system
  `void`
  `setMembershipPortRange(String membershipPortRange)`
  Deprecated.
  Sets the membership-port-range property of the Distributed System.
  `void`
  `setMemberTimeout(int value)`
  Deprecated.
  Set the millisecond value of the member-timeout used in failure-detection protocols.
  `void`
  `setRefreshInterval(int timeInSecs)`
  Deprecated.
  Sets the refreshInterval in seconds
  `void`
  `setRemoteCommand(String command)`
  Deprecated.
  Sets the remote command setting to use for remote administration.
  `void`
  `setServerBindAddress(String bindAddress)`
  Deprecated.
  Sets the IP address to which a server cache will bind when listening for client cache connections.
  `void`
  `setSSLAuthenticationRequired(boolean authRequired)`
  Deprecated.
  Sets the value of the "ssl-require-authentication" property.
  `void`
  `setSSLCiphers(String ciphers)`
  Deprecated.
  Sets the value of the "ssl-ciphers" property.
  `void`
  `setSSLEnabled(boolean enabled)`
  Deprecated.
  Sets the value of the "ssl-enabled" property.
  `void`
  `setSSLProperties(Properties sslProperties)`
  Deprecated.
  Sets the provider-specific properties for SSL.
  `void`
  `setSSLProtocols(String protocols)`
  Deprecated.
  Sets the value of the "ssl-protocols" property.
  `void`
  `setSystemId(String systemId)`
  Deprecated.
  Sets the string identity for the system
  `void`
  `setSystemName(String name)`
  Deprecated.
  Sets the optional non-unique name for the system
  `void`
  `setTcpPort(int port)`
  Deprecated.
  Sets the primary communication port number for the Distributed System.
  `void`
  `validate()`
  Deprecated.
  Validates that this distributed system configuration is correct and consistent.

- ## Field Details

  - ### ENTITY_CONFIG_XML_FILE_NAME

    static final String ENTITY_CONFIG_XML_FILE_NAME
    Deprecated.
    The name of an XML file that specifies the configuration for the managed entities administered by the `DistributedSystem`. The XML file must conform to a dtd.
    See Also:
      - Constant Field Values

  - ### DEFAULT_ENTITY_CONFIG_XML_FILE

    static final String DEFAULT_ENTITY_CONFIG_XML_FILE
    Deprecated.
    The default value of the "entity-config-xml-file" property ("distributed-system.xml").
    See Also:
      - Constant Field Values

  - ### SYSTEM_ID_NAME

    static final String SYSTEM_ID_NAME
    Deprecated.
    The name of the "system-id" property
    See Also:
      - Constant Field Values

  - ### DEFAULT_SYSTEM_ID

    static final String DEFAULT_SYSTEM_ID
    Deprecated.
    The default value of the "system-id" property ("")
    See Also:
      - Constant Field Values

  - ### NAME_NAME

    static final String NAME_NAME
    Deprecated.
    The name of the "name" property. See `getSystemName()`.
    See Also:
      - Constant Field Values

  - ### DEFAULT_NAME

    static final String DEFAULT_NAME
    Deprecated.
    The default value of the "name" property (""). See `getSystemName()`.
    See Also:
      - Constant Field Values

  - ### MCAST_PORT_NAME

    static final String MCAST_PORT_NAME
    Deprecated.
    The name of the "mcastPort" property
    See Also:
      - Constant Field Values

  - ### DEFAULT_MCAST_PORT

    static final int DEFAULT_MCAST_PORT
    Deprecated.
    The default value of the "mcastPort" property (10334)
    See Also:
      - Constant Field Values

  - ### MIN_MCAST_PORT

    static final int MIN_MCAST_PORT
    Deprecated.
    The minimum mcastPort (0)
    See Also:
      - Constant Field Values

  - ### MAX_MCAST_PORT

    static final int MAX_MCAST_PORT
    Deprecated.
    The maximum mcastPort (65535)
    See Also:
      - Constant Field Values

  - ### MCAST_ADDRESS_NAME

    static final String MCAST_ADDRESS_NAME
    Deprecated.
    The name of the "mcastAddress" property
    See Also:
      - Constant Field Values

  - ### DEFAULT_MCAST_ADDRESS

    static final String DEFAULT_MCAST_ADDRESS
    Deprecated.
    The default value of the "mcastAddress" property (239.192.81.1).

  - ### MEMBERSHIP_PORT_RANGE_NAME

    static final String MEMBERSHIP_PORT_RANGE_NAME
    Deprecated.
    The name of the "membership-port-range" property
    Since:
      GemFire 6.5
    See Also:
      - Constant Field Values

  - ### DEFAULT_MEMBERSHIP_PORT_RANGE

    static final int[] DEFAULT_MEMBERSHIP_PORT_RANGE
    Deprecated.
    The default membership-port-range.

    Actual value is `[41000,61000]`.

    Since:
      GemFire 6.5

  - ### TCP_PORT_NAME

    static final String TCP_PORT_NAME
    Deprecated.
    settings for tcp-port
    Since:
      GemFire 6.5
    See Also:
      - Constant Field Values

  - ### DEFAULT_TCP_PORT

    static final int DEFAULT_TCP_PORT
    Deprecated.
    The default value of the "tcpPort" property.

    Actual value is `0`.

    Since:
      GemFire 6.5
    See Also:
      - Constant Field Values

  - ### DEFAULT_ACK_WAIT_THRESHOLD

    static final int DEFAULT_ACK_WAIT_THRESHOLD
    Deprecated.
    The default AckWaitThreshold.

    Actual value of this constant is `15` seconds.

    See Also:
      - Constant Field Values

  - ### MIN_ACK_WAIT_THRESHOLD

    static final int MIN_ACK_WAIT_THRESHOLD
    Deprecated.
    The minimum AckWaitThreshold.

    Actual value of this constant is `1` second.

    See Also:
      - Constant Field Values

  - ### MAX_ACK_WAIT_THRESHOLD

    static final int MAX_ACK_WAIT_THRESHOLD
    Deprecated.
    The maximum AckWaitThreshold.

    Actual value of this constant is `MAX_INT` seconds.

    See Also:
      - Constant Field Values

  - ### DEFAULT_ACK_SEVERE_ALERT_THRESHOLD

    static final int DEFAULT_ACK_SEVERE_ALERT_THRESHOLD
    Deprecated.
    The default ackSevereAlertThreshold.

    Actual value of this constant is `0` seconds, which turns off forced disconnects based on ack wait periods.

    See Also:
      - Constant Field Values

  - ### MIN_ACK_SEVERE_ALERT_THRESHOLD

    static final int MIN_ACK_SEVERE_ALERT_THRESHOLD
    Deprecated.
    The minimum ackSevereAlertThreshold.

    Actual value of this constant is `0` second, which turns off forced disconnects based on ack wait periods.

    See Also:
      - Constant Field Values

  - ### MAX_ACK_SEVERE_ALERT_THRESHOLD

    static final int MAX_ACK_SEVERE_ALERT_THRESHOLD
    Deprecated.
    The maximum ackSevereAlertThreshold.

    Actual value of this constant is `MAX_INT` seconds.

    See Also:
      - Constant Field Values

  - ### LOCATORS_NAME

    static final String LOCATORS_NAME
    Deprecated.
    The name of the "locators" property (comma-delimited host[port] list)
    See Also:
      - Constant Field Values

  - ### DEFAULT_LOCATORS

    static final String DEFAULT_LOCATORS
    Deprecated.
    The default value of the "locators" property ("")
    See Also:
      - Constant Field Values

  - ### BIND_ADDRESS_NAME

    static final String BIND_ADDRESS_NAME
    Deprecated.
    The name of the "bindAddress" property
    See Also:
      - Constant Field Values

  - ### DEFAULT_BIND_ADDRESS

    static final String DEFAULT_BIND_ADDRESS
    Deprecated.
    The default value of the "bindAddress" property
    See Also:
      - Constant Field Values

  - ### REMOTE_COMMAND_NAME

    static final String REMOTE_COMMAND_NAME
    Deprecated.
    The name of the remote-command property
    See Also:
      - Constant Field Values

  - ### DEFAULT_REMOTE_COMMAND

    static final String DEFAULT_REMOTE_COMMAND
    Deprecated.
    The default value of the remote-command property
    See Also:
      - Constant Field Values

  - ### DEFAULT_DISABLE_TCP

    static final boolean DEFAULT_DISABLE_TCP
    Deprecated.
    The default disable-tcp value (`false`)
    See Also:
      - Constant Field Values

  - ### DEFAULT_DISABLE_JMX

    static final boolean DEFAULT_DISABLE_JMX
    Deprecated.
    The default disable-jmx value (`false`)
    See Also:
      - Constant Field Values

  - ### DEFAULT_ENABLE_NETWORK_PARTITION_DETECTION

    static final boolean DEFAULT_ENABLE_NETWORK_PARTITION_DETECTION
    Deprecated.
    The default enable-network-partition-detection setting (`false`)
    See Also:
      - Constant Field Values

  - ### DEFAULT_DISABLE_AUTO_RECONNECT

    static final boolean DEFAULT_DISABLE_AUTO_RECONNECT
    Deprecated.
    The default disable-auto-reconnect setting (`false`)
    See Also:
      - Constant Field Values

  - ### DEFAULT_MEMBER_TIMEOUT

    static final int DEFAULT_MEMBER_TIMEOUT
    Deprecated.
    The default failure-detection timeout period for member heart-beat responses
    See Also:
      - Constant Field Values

  - ### LOG_FILE_NAME

    static final String LOG_FILE_NAME
    Deprecated.
    The name of the "logFile" property
    See Also:
      - Constant Field Values

  - ### DEFAULT_LOG_FILE

    static final String DEFAULT_LOG_FILE
    Deprecated.
    The default log-file value ("" which directs logging to standard output)
    See Also:
      - Constant Field Values

  - ### LOG_LEVEL_NAME

    static final String LOG_LEVEL_NAME
    Deprecated.
    The name of the "logLevel" property
    See Also:
      - Constant Field Values

  - ### DEFAULT_LOG_LEVEL

    static final String DEFAULT_LOG_LEVEL
    Deprecated.
    The default log level ("config")
    See Also:
      - Constant Field Values

  - ### LOG_DISK_SPACE_LIMIT_NAME

    static final String LOG_DISK_SPACE_LIMIT_NAME
    Deprecated.
    The name of the "LogDiskSpaceLimit" property
    See Also:
      - Constant Field Values

  - ### DEFAULT_LOG_DISK_SPACE_LIMIT

    static final int DEFAULT_LOG_DISK_SPACE_LIMIT
    Deprecated.
    The default log disk space limit in megabytes (0)
    See Also:
      - Constant Field Values

  - ### MIN_LOG_DISK_SPACE_LIMIT

    static final int MIN_LOG_DISK_SPACE_LIMIT
    Deprecated.
    The minimum log disk space limit in megabytes (0)
    See Also:
      - Constant Field Values

  - ### MAX_LOG_DISK_SPACE_LIMIT

    static final int MAX_LOG_DISK_SPACE_LIMIT
    Deprecated.
    The minimum log disk space limit in megabytes (1000000)
    See Also:
      - Constant Field Values

  - ### LOG_FILE_SIZE_LIMIT_NAME

    static final String LOG_FILE_SIZE_LIMIT_NAME
    Deprecated.
    The name of the "LogFileSizeLimit" property
    See Also:
      - Constant Field Values

  - ### DEFAULT_LOG_FILE_SIZE_LIMIT

    static final int DEFAULT_LOG_FILE_SIZE_LIMIT
    Deprecated.
    The default log file size limit in megabytes (0)
    See Also:
      - Constant Field Values

  - ### MIN_LOG_FILE_SIZE_LIMIT

    static final int MIN_LOG_FILE_SIZE_LIMIT
    Deprecated.
    The minimum log file size limit in megabytes (0)
    See Also:
      - Constant Field Values

  - ### MAX_LOG_FILE_SIZE_LIMIT

    static final int MAX_LOG_FILE_SIZE_LIMIT
    Deprecated.
    The minimum log file size limit in megabytes (1000000)
    See Also:
      - Constant Field Values

  - ### REFRESH_INTERVAL_NAME

    static final String REFRESH_INTERVAL_NAME
    Deprecated.
    The name of the "refreshInterval" property which will apply to SystemMember, SystemMemberCache and StatisticResource refresh. This interval (in seconds) is used for auto-polling and updating AdminDistributedSystem constituents including SystemMember, CacheServer, SystemMemberCache and StatisticResource. This interval is read-only and retains the value set when the config is created. Note that the resource MBeans actually refresh and hit the DS only if there is an RMI client connected
    See Also:
      - Constant Field Values

  - ### DEFAULT_REFRESH_INTERVAL

    static final int DEFAULT_REFRESH_INTERVAL
    Deprecated.
    The default "refreshInterval" in seconds which will apply to REFRESH_INTERVAL_NAME property. The default value is 15 secs
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getEntityConfigXMLFile

    String getEntityConfigXMLFile()
    Deprecated.
    Returns the name of the XML file that specifies the configuration of the managed entities administered by the `DistributedSystem`. The XML file must conform to a dtd.
    Returns:
      the name of the XML file that specifies the configuration of managed entities administered by the `DistributedSystem`
    Since:
      GemFire 4.0

  - ### setEntityConfigXMLFile

    void setEntityConfigXMLFile(String xmlFile)
    Deprecated.
    Sets the name of the XML file that specifies the configuration of managed entities administered by the `DistributedSystem`.
    Parameters:
      `xmlFile` - the name of the XML file that specifies the configuration of managed entities administered by the `DistributedSystem`

  - ### getSystemId

    String getSystemId()
    Deprecated.
    Returns the string identity for the system
    Returns:
      the string identity for the system

  - ### setSystemId

    void setSystemId(String systemId)
    Deprecated.
    Sets the string identity for the system
    Parameters:
      `systemId` - the string identity for the system

  - ### getSystemName

    String getSystemName()
    Deprecated.
    Returns the optional non-unique name for the system
    Returns:
      the optional non-unique name for the system

  - ### setSystemName

    void setSystemName(String name)
    Deprecated.
    Sets the optional non-unique name for the system
    Parameters:
      `name` - the optional non-unique name for the system

  - ### getMcastAddress

    String getMcastAddress()
    Deprecated.
    Returns the multicast address for the system
    Returns:
      the multicast address for the system

  - ### setMcastAddress

    void setMcastAddress(String mcastAddress)
    Deprecated.
    Sets the multicast address for the system
    Parameters:
      `mcastAddress` - the multicast address for the system

  - ### getMcastPort

    int getMcastPort()
    Deprecated.
    Returns the multicast port for the system
    Returns:
      the multicast port for the system

  - ### setMcastPort

    void setMcastPort(int mcastPort)
    Deprecated.
    Sets the multicast port for the system
    Parameters:
      `mcastPort` - the multicast port for the system

  - ### getAckWaitThreshold

    int getAckWaitThreshold()
    Deprecated.
    Returns the ack-wait-threshold for the system
    Returns:
      the ack-wait-threshold for the system

  - ### setAckWaitThreshold

    void setAckWaitThreshold(int seconds)
    Deprecated.
    Sets the ack-wait-threshold for the system
    Parameters:
      `seconds` - the ack-wait-threshold for the system

  - ### getAckSevereAlertThreshold

    int getAckSevereAlertThreshold()
    Deprecated.
    Returns the ack-severe-alert-threshold for the system
    Returns:
      the ack-severe-alert-threshold for the system

  - ### setAckSevereAlertThreshold

    void setAckSevereAlertThreshold(int seconds)
    Deprecated.
    Sets the ack-severe-alert-threshold for the system
    Parameters:
      `seconds` - the ack-severe-alert-threshold for the system

  - ### getLocators

    String getLocators()
    Deprecated.
    Returns a comma-delimited list of locators for the system
    Returns:
      the comma-delimited list of locators for the system

  - ### setLocators

    void setLocators(String locators)
    Deprecated.
    Sets the comma-delimited list of locators for the system
    Parameters:
      `locators` - the comma-delimited list of locators for the system

  - ### getMembershipPortRange

    String getMembershipPortRange()
    Deprecated.
    Returns the membership-port-range property of the Distributed System. This range is given as two numbers separated by a minus sign.
    Returns:
      the membership-port-range property of the Distributed System
    Since:
      GemFire 6.5

  - ### setMembershipPortRange

    void setMembershipPortRange(String membershipPortRange)
    Deprecated.
    Sets the membership-port-range property of the Distributed System. This range is given as two numbers separated by a minus sign.
    Parameters:
      `membershipPortRange` - the membership-port-range property of the Distributed System
    Since:
      GemFire 6.5

  - ### setTcpPort

    void setTcpPort(int port)
    Deprecated.
    Sets the primary communication port number for the Distributed System.
    Parameters:
      `port` - the primary communication port number for the Distributed System
    Since:
      GemFire 6.5

  - ### getTcpPort

    int getTcpPort()
    Deprecated.
    Returns the primary communication port number for the Distributed System.
    Returns:
      the primary communication port number for the Distributed System
    Since:
      GemFire 6.5

  - ### setDisableTcp

    void setDisableTcp(boolean flag)
    Deprecated.
    Sets the disable-tcp property for the system. When tcp is disabled, the cache uses udp for unicast messaging. This must be consistent across all members of the distributed system. The default is to enable tcp.
    Parameters:
      `flag` - the disable-tcp property for the system

  - ### getDisableTcp

    boolean getDisableTcp()
    Deprecated.
    Returns the disable-tcp property for the system. When tcp is disabled, the cache uses udp for unicast messaging. This must be consistent across all members of the distributed system. The default is to enable tcp.
    Returns:
      the disable-tcp property for the system

  - ### setDisableJmx

    void setDisableJmx(boolean flag)
    Deprecated.
    Sets the disable-jmx property for the system. When JMX is disabled, Geode will not create MBeans.
    Parameters:
      `flag` - the disable-jmx property for the process

  - ### getDisableJmx

    boolean getDisableJmx()
    Deprecated.
    Returns the disable-jmx property for the process. When JMX is disabled, Geode will not create MBeans.
    Returns:
      the disable-jmx property for the process

  - ### setEnableNetworkPartitionDetection

    void setEnableNetworkPartitionDetection(boolean newValue)
    Deprecated.
    Turns on network partition detection
    Parameters:
      `newValue` - whether network partition detection is enabled

  - ### getEnableNetworkPartitionDetection

    boolean getEnableNetworkPartitionDetection()
    Deprecated.
    Returns true if network partition detection is enabled.
    Returns:
      whether network partition detection is enabled

  - ### setDisableAutoReconnect

    void setDisableAutoReconnect(boolean newValue)
    Deprecated.
    Disables auto reconnect after being forced out of the distributed system
    Parameters:
      `newValue` - whether auto reconnect is disabled

  - ### getDisableAutoReconnect

    boolean getDisableAutoReconnect()
    Deprecated.
    Returns true if auto reconnect is disabled
    Returns:
      whether auto reconnect is disabled

  - ### getMemberTimeout

    int getMemberTimeout()
    Deprecated.
    Returns the member-timeout millisecond value used in failure-detection protocols
    Returns:
      the millisecond value of the member-timeout used in failure-detection protocols

  - ### setMemberTimeout

    void setMemberTimeout(int value)
    Deprecated.
    Set the millisecond value of the member-timeout used in failure-detection protocols. This timeout determines how long a member has to respond to a heartbeat request. The member is given three chances before being kicked out of the distributed system with a SystemConnectException.
    Parameters:
      `value` - the millisecond value of the member-timeout used in failure-detection protocols

  - ### getBindAddress

    String getBindAddress()
    Deprecated.
    Returns the IP address to which the distributed system's server sockets are bound.
    Returns:
      the IP address to which the distributed system's server sockets are bound
    Since:
      GemFire 4.0

  - ### setBindAddress

    void setBindAddress(String bindAddress)
    Deprecated.
    Sets the IP address to which the distributed system's server sockets are bound.
    Parameters:
      `bindAddress` - the IP address to which the distributed system's server sockets are bound
    Since:
      GemFire 4.0

  - ### getServerBindAddress

    String getServerBindAddress()
    Deprecated.
    Returns the IP address to which client/server server sockets are bound
    Returns:
      the IP address to which a server cache will bind when listening for client cache connections

  - ### setServerBindAddress

    void setServerBindAddress(String bindAddress)
    Deprecated.
    Sets the IP address to which a server cache will bind when listening for client cache connections.
    Parameters:
      `bindAddress` - the IP address to which a server cache will bind when listening for client cache connections

  - ### getRemoteCommand

    String getRemoteCommand()
    Deprecated.
    Returns the remote command setting to use for remote administration
    Returns:
      the remote command setting to use for remote administration

  - ### setRemoteCommand

    void setRemoteCommand(String command)
    Deprecated.
    Sets the remote command setting to use for remote administration. This attribute may be modified after this `DistributedSystemConfig` has been used to create an `AdminDistributedSystem`.
    Parameters:
      `command` - the remote command setting to use for remote administration

  - ### isSSLEnabled

    boolean isSSLEnabled()
    Deprecated.
    Returns the value of the "ssl-enabled" property.
    Returns:
      the value of the "ssl-enabled" property

  - ### setSSLEnabled

    void setSSLEnabled(boolean enabled)
    Deprecated.
    Sets the value of the "ssl-enabled" property.
    Parameters:
      `enabled` - the value of the "ssl-enabled" property

  - ### getSSLProtocols

    String getSSLProtocols()
    Deprecated.
    Returns the value of the "ssl-protocols" property.
    Returns:
      the value of the "ssl-protocols" property

  - ### setSSLProtocols

    void setSSLProtocols(String protocols)
    Deprecated.
    Sets the value of the "ssl-protocols" property.
    Parameters:
      `protocols` - the value of the "ssl-protocols" property

  - ### getSSLCiphers

    String getSSLCiphers()
    Deprecated.
    Returns the value of the "ssl-ciphers" property.
    Returns:
      the value of the "ssl-ciphers" property

  - ### setSSLCiphers

    void setSSLCiphers(String ciphers)
    Deprecated.
    Sets the value of the "ssl-ciphers" property.
    Parameters:
      `ciphers` - the value of the "ssl-ciphers" property

  - ### isSSLAuthenticationRequired

    boolean isSSLAuthenticationRequired()
    Deprecated.
    Returns the value of the "ssl-require-authentication" property.
    Returns:
      the value of the "ssl-require-authentication" property

  - ### setSSLAuthenticationRequired

    void setSSLAuthenticationRequired(boolean authRequired)
    Deprecated.
    Sets the value of the "ssl-require-authentication" property.
    Parameters:
      `authRequired` - the value of the "ssl-require-authentication" property

  - ### getSSLProperties

    Properties getSSLProperties()
    Deprecated.
    Returns the provider-specific properties for SSL.
    Returns:
      the provider-specific properties for SSL

  - ### setSSLProperties

    void setSSLProperties(Properties sslProperties)
    Deprecated.
    Sets the provider-specific properties for SSL.
    Parameters:
      `sslProperties` - the provider-specific properties for SSL

  - ### addSSLProperty

    void addSSLProperty(String key, String value)
    Deprecated.
    Adds an SSL property
    Parameters:
      `key` - the name of the property to add
      `value` - the value of the property to add

  - ### removeSSLProperty

    void removeSSLProperty(String key)
    Deprecated.
    Removes an SSL property
    Parameters:
      `key` - the name of the property to remove

  - ### getLogFile

    String getLogFile()
    Deprecated.
    Returns the name of the log file to which informational messages are written.
    Returns:
      the name of the log file to which informational messages are written
    See Also:
      - `LogWriter`

  - ### setLogFile

    void setLogFile(String logFile)
    Deprecated.
    Sets the name of the log file to which informational messages are written.
    Parameters:
      `logFile` - the name of the log file to which informational messages are written
    See Also:
      - `LogWriter`

  - ### getLogLevel

    String getLogLevel()
    Deprecated.
    Returns the level at which informational messages are logged.
    Returns:
      the level at which information messages are logged

  - ### setLogLevel

    void setLogLevel(String logLevel)
    Deprecated.
    Sets the level at which information messages are logged.
    Parameters:
      `logLevel` - the level at which information messages are logged

  - ### getLogDiskSpaceLimit

    int getLogDiskSpaceLimit()
    Deprecated.
    Returns the log disk space limit in megabytes
    Returns:
      the log disk space limit in megabytes

  - ### setLogDiskSpaceLimit

    void setLogDiskSpaceLimit(int limit)
    Deprecated.
    Sets the log disk space limit in megabytes
    Parameters:
      `limit` - the log disk space limit in megabytes

  - ### getLogFileSizeLimit

    int getLogFileSizeLimit()
    Deprecated.
    Returns the log file size limit in megabytes
    Returns:
      the log file size limit in megabytes

  - ### setLogFileSizeLimit

    void setLogFileSizeLimit(int limit)
    Deprecated.
    Sets the log file size limit in megabytes
    Parameters:
      `limit` - the log file size limit in megabytes

  - ### getRefreshInterval

    int getRefreshInterval()
    Deprecated.
    Returns the refreshInterval in seconds used for auto-polling and updating AdminDistributedSystem constituents including SystemMember, CacheServer, SystemMemberCache and StatisticResource
    Returns:
      the refreshInterval in seconds
    Since:
      GemFire 6.0

  - ### setRefreshInterval

    void setRefreshInterval(int timeInSecs)
    Deprecated.
    Sets the refreshInterval in seconds
    Parameters:
      `timeInSecs` - the refreshInterval in seconds
    Since:
      GemFire 6.0

  - ### getCacheServerConfigs

    @Deprecated CacheServerConfig[] getCacheServerConfigs()
    Deprecated.
    as of 5.7 use `getCacheVmConfigs()` instead.
    Returns an array of configurations for statically known `CacheServers`.
    Returns:
      an array of configurations for statically known `CacheServers`

  - ### createCacheServerConfig

    @Deprecated CacheServerConfig createCacheServerConfig()
    Deprecated.
    as of 5.7 use `createCacheVmConfig()` instead.
    Creates the configuration for a CacheServer
    Returns:
      the newly created configuration

  - ### removeCacheServerConfig

    @Deprecated void removeCacheServerConfig(CacheServerConfig managerConfig)
    Deprecated.
    as of 5.7 use `removeCacheVmConfig(org.apache.geode.admin.CacheVmConfig)` instead.
    Removes the configuration for a CacheServer
    Parameters:
      `managerConfig` - the configuration to remove

  - ### getCacheVmConfigs

    CacheVmConfig[] getCacheVmConfigs()
    Deprecated.
    Returns an array of configurations for statically known `CacheVm`s.
    Returns:
      an array of configurations for statically known `CacheVm`s
    Since:
      GemFire 5.7

  - ### createCacheVmConfig

    CacheVmConfig createCacheVmConfig()
    Deprecated.
    Creates the configuration for a `CacheVm`.
    Returns:
      the newly created configuration
    Since:
      GemFire 5.7

  - ### removeCacheVmConfig

    void removeCacheVmConfig(CacheVmConfig existing)
    Deprecated.
    Removes the configuration for a `CacheVm`
    Parameters:
      `existing` - the configuration to remove
    Since:
      GemFire 5.7

  - ### getDistributionLocatorConfigs

    DistributionLocatorConfig[] getDistributionLocatorConfigs()
    Deprecated.
    Returns configuration information about `DistributionLocator`s that are managed by an `AdminDistributedSystem`.
    Returns:
      configuration information about `DistributionLocator`s that are managed by an `AdminDistributedSystem`

  - ### createDistributionLocatorConfig

    DistributionLocatorConfig createDistributionLocatorConfig()
    Deprecated.
    Creates a new `DistributionLocatorConfig` for a distribution locator that is managed in this distributed system. The default locator config is set to not use multicast
    Returns:
      the newly created `DistributionLocatorConfig`

  - ### removeDistributionLocatorConfig

    void removeDistributionLocatorConfig(DistributionLocatorConfig config)
    Deprecated.
    Removes a `DistributionLocatorConfig` from the distributed system.
    Parameters:
      `config` - the `DistributionLocatorConfig` to remove

  - ### addListener

    void addListener(DistributedSystemConfig.ConfigListener listener)
    Deprecated.
    Registers listener for notification of changes in this config.
    Parameters:
      `listener` - the listener to register

  - ### removeListener

    void removeListener(DistributedSystemConfig.ConfigListener listener)
    Deprecated.
    Removes previously registered listener of this config.
    Parameters:
      `listener` - the listener to remove

  - ### validate

    void validate()
    Deprecated.
    Validates that this distributed system configuration is correct and consistent.
    Throws:
      `IllegalStateException` - If this config is not valid
      `AdminXmlException` - If the entity config XML file is not valid

  - ### clone

    Object clone() throws CloneNotSupportedException
    Deprecated.
    Returns a copy of this `DistributedSystemConfig` object whose configuration can be modified. Note that this `ConfigListener`s that are registered on this config object are not cloned.
    Returns:
      a copy of this `DistributedSystemConfig` object whose configuration can be modified
    Throws:
      `CloneNotSupportedException` - if the object's class does not support the Cloneable interface
    Since:
      GemFire 4.0